# TimeIntervalCollectionProperty

#### new Cesium.TimeIntervalCollectionProperty()
DataSources/TimeIntervalCollectionProperty.js 43

A `Property` which is defined by a `TimeIntervalCollection`, where the data property of each `TimeInterval` represents the value at time.

##### Example:

    //Create a Cartesian2 interval property which contains data on August 1st, 2012
    //and uses a different value every 6 hours.
    var composite = new Cesium.TimeIntervalCollectionProperty();
    composite.intervals.addInterval(Cesium.TimeInterval.fromIso8601({
        iso8601 : '2012-08-01T00:00:00.00Z/2012-08-01T06:00:00.00Z',
        isStartIncluded : true,
        isStopIncluded : false,
        data : new Cesium.Cartesian2(2.0, 3.4)
    }));
    composite.intervals.addInterval(Cesium.TimeInterval.fromIso8601({
        iso8601 : '2012-08-01T06:00:00.00Z/2012-08-01T12:00:00.00Z',
        isStartIncluded : true,
        isStopIncluded : false,
        data : new Cesium.Cartesian2(12.0, 2.7)
    }));
    composite.intervals.addInterval(Cesium.TimeInterval.fromIso8601({
        iso8601 : '2012-08-01T12:00:00.00Z/2012-08-01T18:00:00.00Z',
        isStartIncluded : true,
        isStopIncluded : false,
        data : new Cesium.Cartesian2(5.0, 12.4)
    }));
    composite.intervals.addInterval(Cesium.TimeInterval.fromIso8601({
        iso8601 : '2012-08-01T18:00:00.00Z/2012-08-02T00:00:00.00Z',
        isStartIncluded : true,
        isStopIncluded : true,
        data : new Cesium.Cartesian2(85.0, 4.1)
    }));

### Members

#### readonly definitionChanged : Event
DataSources/TimeIntervalCollectionProperty.js 72

Gets the event that is raised whenever the definition of this property changes. The definition is changed whenever setValue is called with data different than the current value.

#### intervals : TimeIntervalCollection
DataSources/TimeIntervalCollectionProperty.js 83

Gets the interval collection.

#### readonly isConstant : Boolean
DataSources/TimeIntervalCollectionProperty.js 58

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

### Methods

#### equals(other) → Boolean
DataSources/TimeIntervalCollectionProperty.js 118

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getValue(time, result) → Object
DataSources/TimeIntervalCollectionProperty.js 97

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.